Offers

Reject An Offer

POSThttps://api.getcovent.com/api/v1/offers/{id}/reject

Reject an offer.

How to Call

Use one of the examples below to call this endpoint from your own integration.

curl -X POST "https://api.getcovent.com/api/v1/offers/{id}/reject" \
  -H "Authorization: Bearer <API_KEY>" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "reason": "price_too_low",
  "notes": "Seller requested a stronger price."
}'

Request

Review headers, parameters, and body fields before calling this endpoint.

AuthorizationstringRequired

Bearer token for the proposed external API contract.

Example: Bearer <API_KEY>
AcceptstringRequired

Response format header.

Example: application/json
Content-TypestringRequired

JSON request body header.

Example: application/json

idstringRequired

id path parameter.

Example: <id>

reasonstringRequired

reason request field.

Example: price_too_low
notesstringRequired

notes request field.

Example: Seller requested a stronger price.

Response

200application/json

idstringRequired

id response field.

Example: off_123
statusstringRequired

status response field.

Example: rejected
rejected_atstringRequired

rejected_at response field.

Example: 2026-04-17T20:12:00Z
updated_atstringRequired

updated_at response field.

Example: 2026-04-17T20:12:00Z

Response Example

{
  "id": "off_123",
  "status": "rejected",
  "rejected_at": "2026-04-17T20:12:00Z",
  "updated_at": "2026-04-17T20:12:00Z"
}